aboutsummaryrefslogtreecommitdiff
path: root/applets
diff options
context:
space:
mode:
authorGravatar Rob Landley <rob@landley.net>2005-12-15 07:25:54 +0000
committerGravatar Rob Landley <rob@landley.net>2005-12-15 07:25:54 +0000
commite0c418e13b005908da492ae2151096e8f2246287 (patch)
treee03f9d292096eedba0bedca225db5f89938a9630 /applets
parent164c5c80ba122a6ed71a29d41730c802750a5ae1 (diff)
downloadbusybox-e0c418e13b005908da492ae2151096e8f2246287.tar.gz
busybox-e0c418e13b005908da492ae2151096e8f2246287.tar.bz2
The rest of Yann E. Morin's install revamp.
Diffstat (limited to 'applets')
-rwxr-xr-xapplets/install.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/applets/install.sh b/applets/install.sh
index d163a2ef8..2fcd2ae6e 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -8,12 +8,13 @@ if [ "$prefix" = "" ]; then
echo "No installation directory, aborting."
exit 1;
fi
-if [ "$2" = "--hardlinks" ]; then
- linkopts="-f"
-else
- linkopts="-fs"
-fi
h=`sort busybox.links | uniq`
+case "$2" in
+ --hardlinks) linkopts="-f";;
+ --symlinks) linkopts="-fs";;
+ "") h="";;
+ *) echo "Unknown install option: $2"; exit 1;;
+esac
rm -f $prefix/bin/busybox || exit 1